// XSYS - [2020-06-22 11:41:46]
#ifndef _XSYS_H_
#define _XSYS_H_

#include "common.h"

struct TMatchDateTime {
  int year;
  int mon;
  int day;
  int wday;
  int hour;
  int min;
  int sec;
  int isdst;
};

void XSYS_GetCurrentMatchDateTime(TMatchDateTime *);                                 // 001F472A
int XSYS_GetCurrentDay();                                                            // 001F4754
float XSYS_GetSunPos(int, int, int, int, int, float, float, float &, float &);       // 001F4790
float XSYS_GetSunSetRiseTime(bool, int, int, int, float, float, int, int &, int &);  // 001F4B08
int XSYS_RandomFromSeed(int, int);                                                   // 001F4F28
int XSYS_Random(int);                                                                // 001F4F44
int XSYS_RandomNoSync(int);                                                          // 001F4F60
void XSYS_RandomSetSeed(char const *pstr);                                           // 001F4F6C
void XSYS_RandomSetSeed(int seed);                                                   // 001F4F8C
int XSYS_RandomGetSeed();                                                            // 001F4F9C
void XSYS_RandomSetSeedNoSync(int);                                                  // 001F4FAC
int XSYS_RandomGetSeedNoSync();                                                      // 001F4FBC
float XSYS_RandomF(float a1);                                                        // 001F5020
float XSYS_RandomNoSyncF(float a1);                                                  // 001F5050
void XSYS_WriteMemHeapDump(int);                                                     // 001F5188
void XSYS_ReplaceExt(char *, char const *, char const *);                            // 001F52E2
int XSYS_GetPlatformUsedMem();                                                       // 001F5304

int randGetRangeNoSync(uint32_t a1);  // 001F4ED0
int randGetRange(uint32_t a1);        // 001F4E78

#endif  //_XSYS_H_